Version 4.06 Release Notes
- Fixed: Album edit, "Publisher" lookup was not
  visually aligned when window resized.
- Fixed: Custom details remained after a cancelled
  import from AllMusic.
- Fixed: Song list format in Internet Import Wizard   
  was not customizable.
- Enhancement: Server name and port is shown when 
  using the MFP server to import music data.
- Fixed: Images for album and songs shown in 
  correct aspect ratio, and image name is shown
  below the image.

Version 4.05 Release Notes
- Enhancement: When selecting related audio files
  for a song, the last selected folder is remembered
  between sessions.
- Fixed: Image display on song form, sorting on
  track number, and various other minor UI issues.
- Updated third party libraries.

Version 4.04 Release Notes
- Enhancement: Added "Skip duplicate" option to
  new MP3 import wizard.  The "remove duplicates" 
  option, used after import to  clean-up duplicates, 
  is still available as an alternative so 
  that the initial file search can remain as fast 
  as possible.
- Enhancement: Added option to bulk remove marked
  song entries.
- Enhancement: Playlists show related album.
- Updated third party libraries.

Version 4.03 Release Notes
- Fixed: "Classic MP3 Scan" did not retain file list
  after scanning was complete.
- Updated third party libraries.

Version 4.02 Release Notes
- Enhancement: Added option to either bring existing
  list to top, or to start a new instance of the list 
  when a toolbar button is selected. 
- Enhancement: Configuration settings can be 
  imported and exported.
- Updated third party libraries.


Version 4.01 Release Notes
- Fixed: Could not import from other MusiFind Pro
  collections.
- Updated third party libraries.
- Added "Send To" support to various lists to allow
  quick and easy export to more formats.
- Fixed various minor issues. 


Version 4.0 Release Notes
- Improved user interface throughout.
- Completely reworked audio file import and organization
  sections including saved sessions.
- Support for ID3v2 MP3 tags, and Ogg/Flac/Wav file 
  types.  
- Extended tags such as lyrics can now be imported.
- Minimum required screen resolution is now 800x600.
- Advanced report designer now installed with
  registered version rather than being a 
  separate download.
- Installer now includes default data, and will
  automatically backup existing data before moving 
  it, or upgrading the format.


Version 3.73 Release Notes
- Improved backup/restore module interface.
- Session settings are now stored in the registry.
- Installation package is now Vista compatible.
- Data files can optionally be moved to a folder
  other than where the program files are located.
- Updated third party libraries.

Version 3.72 Release Notes
- Improved support for importing Promo Only text files.
- Enhancement:  When an album is copied, related song
  and details information can be copied as well.

Version 3.71 Release Notes
- Added automatic entry field completion to all fields.
- Added support for new Promo Only text file format.
- Added "play counters" configurable list to song form.
- Updated third party libraries.

Version 3.70 Release Notes
- Enhancement: Added publisher fields to album list.
- Enhancement: Added "similar songs" support, 
  "original album" field, and "image file" field 
  to song form.
- Enhancement: Added image display option to songs 
  and albums lists.
- Enhancement: Upgraded to Clarion 6.3.0955.
- Change:  A minimum screen resolution of 800x600 is 
  now required.
- Build 3701: An issue with a third party library
  caused GPFs on some systems when windows were 
  closed. Fixed.
- Build 3703: Dynamic caching of data used in 
  some reports was giving a false "access 
  denied" message. Fixed.

Version 3.60 Release Notes
- Enhancement: Upgraded to Clarion 6.3.0953.
- Fixed: Playlist generator would not generate
  list if not enough songs matched selections made. 
- Fixed: Playlist generator was not allowing selection 
  by date.
- Enhancement:  Added option to Songs list to add to a 
  "temporary" playlist.  
- Fixed:  Release date on "create your own report" (Songs)
  was in the wrong format.
- Enhancement:  Added option to Playlist generation to
  use a Query instead of random selections.
  

Version 3.59a Release Notes
- Enhancement: Upgraded to Clarion 6.3.0951.
- Fixed: Label preview was not including images.

Version 3.59 Release Notes
- Fixed: XP-style tabs were interfering with
  "More" button.
- Enhancement: Upgraded to Clarion 6.3.0950.
- Fixed:  Help file was being shown when Preview
  button was pressed on Label Wizard.

Version 3.58 Release Notes
- Enhancement:  Added option to Update Album to 
  export song list as an M3U and use that as the 
  "associated sound file".
- Enhancement:  When an attempt is made to play 
  a missing or invalid sound file, user is prompted
  to browse for file.
- Enhancement: Upgraded to Clarion 6.2.0949.


Version 3.57 Release Notes
- Enhancement: Added option to search and replace
  all albums.
- Enhancement: Added shortcut keys Ctrl+Shift+S for
  "Swap order" on song and album title fields.
- Enhancement: Added more shortcut keys to main menu
  items.
- Enhancement:  Backup utility now includes option to
  erase removable media before archiving.  Previous
  versions always wiped removable media.
- Enhancement: Upgraded to Clarion 6.2.0948 for 
  additional stability and to fix runtime library 
  issues.
- Fixed: Multiple compilation wizard was not resizing
  correctly.
- Fixed: "Find MP3s for existing entries" was not
  working if the folder name did not contain the file
  number. Search type ("match on") is now configurable.
- Enhancement: Added option to export complete 
  collection to M3U play list.


Version 3.56 Release Notes
- Enhancement: Added shortcut keys Ctrl+Shift+O for
  "Swap order of artist name" and Ctrl+Shift+U for
  "Use default capitalization".
- Enhancement: Added option to select background 
  colour for song entries.
- Enhancement: CD covers can be generated for playlists.
- Enhancement: Exported playlists can exclude the sound
  file name's folder information.
- Enhancement: Standard M3U playlist can be created
  from a folder (no database entries required).
  

Version 3.55 Release Notes
- Enhancement: Added "physical location" field for
  Albums list.
- Enhancement: Added query option to Songs export.
- Enhancement: Upgraded to Clarion 6.2 for additional
  stability and to fix runtime library issues.

Version 3.54 Release Notes
- Enhancement:  Lyrics can be retrieved from 
  AZLyrics.com from the song update form.
- Enhancement:  Improved logic for auto-sizing columns
  in "Create Your Own Report" reports.
- Enhancement: ID3v1 tags can be updated directly
  from a sound file name without the need to import
  into the database.

Version 3.53 Release Notes
- Enhancement:  MusiFind Pro Internet Database for
  Registered Users host address can now be set through
  File->Setup.  Please note that this upgrade is
  *required* in order to continue using the MFP Internet
  Database when retrieving CD information.
- Enhancement:  Added option to interactively calculate 
  BPM (beats per minute) for a song (available as a
  "lookup" button beside the BPM field).
- Fixed:  Additional filter fields on Songs List were
  not resetting.

Version 3.52 Release Notes
- Enhancement:  Added option to select font for
  all windows.   Please note that font changes do not 
  affect already open windows.  For best results, 
  close and re-open the application after selecting 
  a new font.
- Fixed:  Minor issues including track number size too
  small on Binder report, resize not working on "Rename
  MP3s" window.

Version 3.51 Release Notes
- Song information is shown in Change Song window title.
- Album information is shown in Change Album window 
  title.
- Lyric information can be copied to other songs with the
  same artist and title.
- Updated Promo Only "tabbed text" import to match new 
  format.

Version 3.5 Release Notes
- "Find unique songs" process and "Collection
  Comparison" reports now cache tables into memory 
  for faster processing.
- Added option to optimize layout of windows for 
  640x480 screen dimensions.  Screen dimensions of
  800x600 or higher are recommended, but support
  for 640x480 is retained with this option enabled.
- Added Filter fields to Songs list (800x600 
  required).
- Enhanced Windows XP theme support.
- Added support for Easy Media Creator 7 RCL files.

Version 3.44 Release Notes
- Added support for song lyric storage.
- Applied Clarion 6.1 9033 hotfix.

Version 3.43f Release Notes
- Applied Clarion 6.1 9032 hotfix.

Version 3.43e Release Notes
- Enhanced:  Added support for FreeDB protocol 5,
  allowing main Internet Database Wizard to retrieve
  year and genre information.

Version 3.43d Release Notes
- "Tools->MP3 utilities->Find MP3s for existing songs"
   now includes WMA files in the search.
  
Version 3.43c Release Notes
- Correction:  Fixed malformed FreeDB request string.
- Correction:  Some fields were blocked on the song 
  update form when the window was large.

Version 3.43 Release Notes
- Applied Clarion 6.1 9029-9031 hotfixes.
- Includes latest Report Presentation Manager runtime
  modules.
- Enhanced: Support direct import of local FreeDB 
  XMCD files.
- Enhanced: Added internal web browser for FreeDB
  freeform searching.
- Enhanced: Import DYEAR and DGENRE tags from
  FreeDB and XMCD files now supported.
- Enhanced: Internet Database Wizard and Song 
  Update windows are now resizable.
  
Version 3.42 Release Notes
- Enhanced:  Explicit proxy server and port settings
  now supported.  Previous versions used default 
  Internet Explorer settings.
- Fixed: When updating an existing album from the
  All Music Guide internet database, songs would
  added, creating duplicates.
  
Version 3.41 Release Notes
- Applied Clarion 6.1 9026-9028 hotfixes.
- Enhanced: Better support for All Music Guide.
- Fixed: Regular playlists print items in order.

Version 3.4 Release Notes
- Fixed:  Support for All Music Guide personalized 
  user name and password.

Version 3.36 Release Notes
- Enhancement:  XP Theme support.
- Enhancement:  Dual monitor support.

Version 3.35 Release Notes
- Fixed: All "Create your own report" reports ignored
  dynamic ordering.
- Fixed: Playlist "Create your own report" report
  did not allow single playlist selection.

Version 3.34 Release Notes
- Fixed: Double-tab characters in Promo Only
  text files would cause clipboard import to place
  data in the wrong column.
- Enhanced: Renaming files in a disk folder now will
  rename files where only the title is in file name.
- Fixed:  Multi-compilation import date now formatted
  according to global settings.

Version 3.33 Release Notes
- Fixed:  Multiple compilation "Load" button
  was not working after screen modified.
- Enhanced:  Promo Only Tabbed Text file import
  now handles files with only carriage returns
  rather than CR/LineFeed pairs.

Version 3.32 Release Notes
- Enhancement:  Added option to edit full album
  details from various "quick" wizards such as
  the Roxio / Nero / Feurio import windows.
- Fixed: Database maintenance tool was giving false
  "file already open" error message.
- Fixed: Artist list locator was not working since
  moving to C6.
- Fixed: Dictionaries occasionally included duplicate
  items since moving to C6.

Version 3.31 Release Notes
- Fixed: Lengthened timeout period when connecting to
  MFP Server.
- Enhanced: Updated to handle new CDNow page
  format.
- Fixed: Internet Database Wizard was not adding
  retrieved song information for All Music Guide.
- Enhanced: When updating an existing album, song
  data can be retrieved from the MFP server.

Version 3.30 Release Notes
- 2004 Edition, compiled using Clarion 6.
- Added PDF/HTML/Text output support to reports.
- Fixed multi-compilation wizard; was not allowing
  more than one album to be added.
- Added option to multi-compilation wizard to import
  from Nero .CDA files and Feurio .CDL file.
- The "Advanced Report Designer" is now supplied as
  a separate install package.
- Fixed issue with Internet Database Wizard in
  situations where the server does not return full
  URL for album cover images.
- Fixed issue where category was not always
  retained when using Internet Database Wizard.
- Added support for alternate tabbed text file format
  import.
- Added support for CtrlAltF, "all-field" filtering.
- Automatic CD cover printing for single album imports
  is now optional.

Version 3.22 Release Notes
- Enhancement:  Added "preferred spelling"
  field to Artists database.
- Enhancement:  Added "Sound file" and "Sort Name"
  order tabs to the Songs list.
- MP3 import wizard enhancements:
  - "Move MP3s to subfolders" now has option
    to only move MP3s with a verified "artist".
    The artist for the MP3 must exist in the
    MusiFind Pro Artists database before the
    subfolder is created and the MP3 moved.
  - "Parse file name" replaces "Use file name for
    artist and title" option.  This option uses
    the MP3 file name to determine artist, title,
    and other information. Now allows for the
    use of a specific custom or pre-supplied
    template (eg. "TITLE-TRACK-ARTIST-ALBUM").
    Automatic mode analyzes file names, and
    provides an accurate "best guess". Logic is
    similar to previous versions, but improved.
  -  Artists database can be pre-loaded for faster
    response when performing activities such
    as "Check artist" or "Move based on artist".
  -  Long operations have a better "busy
    processing" indicator.
  -  Added option to skip re-scanning folder for
    new MP3s when approval list already exists.
  -  When pressing Ctrl+F to invoke search on the
    list of MP3s, the default column is now
    Filename rather than Tag.
- Fixed:  Track numbers up to 9999 could be set and
  stored through wizards but not edited in the
  "Songs" form.
- Fixed:  Track numbers were not used when importing
  MP3s into the database.


Version 3.21 Release Notes
- Fixed:  Blank category was not allowed in
  Internet Database Wizard.
- Enhancement:  Added Bit Rate and Purpose to
  the "Songs" list.
- Fixed:  Sound file and Sort field columns
  are now left justifed in "Songs" list.
- Enhancement:  Total album time updated whenever
  total of song times changes.  Previously
  was only reset when album time was blank.
- Fixed:  MP3 import was not filling in the
  song sort field (artist+title).  Missing
  information for existing records can still
  be filled in using Tools->Database->Rebuild
  "Sort field" values for songs.
- Fixed: File name to Artist logic was removing
  an extra character where a dash was not
  followed by a space.


Version 3.2 Release Notes
- Added support for Loans and Borrowers.

Version 3.16 Release Notes
- Import release date from FreeDB when available.
- Changed display of custom fonts in label wizard to
  be more efficient.
- New registration number entry process implemented.

Version 3.15 Release Notes
- Added support for importing from MyCD.
- Added support for importing from DiscPlay.

Version 3.14 Release Notes
- Added support for Easy CD Creator 6.
- Added support for new CDNow.com format.
- FreeDB debug text files are now optional.

Version 3.13 Release Notes
- Added support for new All Music Guide format.
- Songs can now be re-assigned to a different album
  on the "Both Albums and Songs" list.
- Added support for right-click copy/cut/paste on
  all entry fields (previously was only available
  on large text fields).
- Various minor fixes.

Version 3.12 Release Notes
- Two-column Songs report no longer prints 2 lines
  too many per page.

Version 3.11 Release Notes
- Changes to "Scan for MP3s" wizard:
    - Option to "clean up" file names on disk using
    existing file name as a starting point.
    - When file name is changed in "Change MP3 Details"
    form,the file on disk is renamed.
    - Tagging by Shift-Click and Ctrl-Click is now
    supported.
    - Option to delete MP3 files on disk.
    - Option to remove multiple files from the approval
    list.
    - More options when "trimming" text from artist
    and title fields.
    - Added "more options" button (brings up
    context-menu).
    - Re-organized context menu.
- Fixed resizing issues on Songs list, Albums list,
  and Album form.

Version 3.1 Release Notes
- Fixed erroneous "duplicate album" message occurring
  during Internet Database Wizard use.
- Changes to "Scan for MP3s" wizard:
    - Option to specify changes apply to current MP3,
    tagged MP3s, or all MP3s.
    - More options for trimming excess characters
    from artists and titles, including moving
    trimmed sections to the album field.
    - Added option to select or check artists.
    - Added Search and Replace option.
    - Added "file date" field for sorting.
    - Added option to rename MP3s (CTRL+H).
    - Added option to move MP3s to subfolders.
    - Added option to update ID3v1 tags.
    - Added option to create and optionally play playlist.
    - When ID3 tag information is blank, the file name
    is parsed for additional information automatically.
- Edit Album song list now shows complete artist
  and title rather than just first 30 characters.
- When renaming MP3s, a query may be applied instead
  of selecting a single album by file number.
- Reformatted standard HTML output of lists.
- "Requests" list: added standard column re-ordering
  and standard HTML output.
- Added "search and replace" song information option
  to Internet Database Wizard, Add Album Wizard,
  Update Album, Add Easy-CD-Creator Album, Add
  Compilation Album windows.


Version 3.06 Release Notes
- Corrected a problem where results from FreeDB
  were not parsed correctly if an inexact match
  was found.

Version 3.05a Release Notes
- Corrected a problem where results from
  AllMusic.com were not parsed if only one
  matching album was found.

Version 3.05 Release Notes
- Added option to update existing album information
  using www.cdnow.com.
- Fixed GPF that would occur when attempting to
  read tags in a damaged MP3 file.

Version 3.04 Release Notes
- Changed order and hot keys of fields on
  Edit Song window.
- Added "Tools->Other->Create Batch File" option.
- Added Global Search and Replace (Songs) item
  to Tools->Database menu.
- Added options to Collection Comparison report:
    - Show farthest match rather than closest.
    - Show all matches.

Version 3.03 Release Notes
- Fixed and improved the Scan for MP3s wizard,
  and added new album and file number assignment
  modes.
- Fixed problem where "Lists->Both" would flicker
  and stay in an eternal loop.
- Added option to search for MP3s to use as
  "Associated Sound Files" for existing Song entries.
- Added option to set "ID3 tag" values for MP3s,
  either at the individual song level, or for all
  MP3s that match a query.
- Added option to play playlist using application
  associated with Extended M3U formatted playlists
  (eg. WinAmp) when the playlist includes songs
  with associated MP3 files.
- Added option to export playlist in Extended
  M3U format.
- Added Search and Replace option to Songs tab
  in Editing Album form.
- Release notes are now available from the main
  menu (Help->What's New?).


Version 3.02 Release Notes
- Added CDNow (www.cdnow.com) support to
  "Internet Database" wizard.
- Fixed attribute on song "Sort Field"; it is no longer
  required.
- Added "Collection Comparison" Song Report.
- Added options to repair album or song database by
  copying to a new file.
- Added option to Tools->Other->Rename MP3s/WAVs
  to rename in one of 7 formats.
- Added "Rebuild sort field values for Songs" option
  on Tools->Database menu.
- "Swap first and last name" option now does a
  better job of determining where the name ends when
  there are multiple names are in the artist field.

Version 3.01 Release Notes
- FreeDB access now uses the HTTP (web page)
  protocol for more reliable access, removing
  the need for the external FCDBASST utility.
- Added All Music Guide (www.allmusic.com) support
  to "Internet Database" wizard.
- Added option to retrieve Artist biography from AMG.
- Added option to retrieve Album notes and cover art
  from AMG.

Version 3.0 Release Notes
- Improved user interface on all lists, forms, and reports.
- Improved documentation; help is now context-sensitive.
- All basic reports re-written: improved formatting,
  improved control over report fonts, improved selection
  of report range and contents.
- Added License, Purpose, Audience, Explicit Content,
  Chart Date, and Last Played fields to the Song file.
- Added "lists": Requests, DJ Play Log
- Added option: Mark songs as "requested" or "played"
  at the current date and time; this information may
  be manually added/edited/deleted through the
  Requests and DJ Play Log lists.  When a song is
  "played", any outstanding "request" is marked,
  and the Last Played date and time fields in the
  "Songs" file are set if necessary. These options are
  accessed via the Songs List (right-click) context
  menu, or the new "More" button in the
  upper-right-hand corner of the Songs List.
- Added "dictionary files": Styles, Licenses, Purposes.
- The program startup process is now more stable when
  databases require  creation or upgrading.
- Registered user name can be used to personalize
  reports. A registration number provided by
  Author Direct must be entered.
- Registered version now includes external module
  to import database from ERG (DJ CD suppliers).
- Added "import from Promo Only tabbed text file".
- Added "Find and Fill" option to compare two
  databases, and copy missing BPM, Time, Category,
  Content, In/Out, Chart, and Audience information.
- Improved "Find Unique Songs" option.
- "Find Next" button on Find window (accessed by
  pressing Ctrl+F on any list) now works correctly.
  F3 is the shortcut key for Find Next.
- When an artist is changed (in the list of artists),
  the artists in the lists of songs, requests, and
  album may also optionally be changed as well.
- "Swap comma" feature now rotates through all
  possibilities when there is more than one space
  in the artist name.
- Added option to show only duplicate artists in
  the list of Artists. (Eg. Beatles=The Beatles=
  Beatles, The).  This combined with the previous
  two features allows you to ensure you're using
  one name for a particular artist rather than
  many.
- Album file numbers must now be unique.
- CDDB2 has been replaced with FreeDB as the primary
  source for internet CD information retrieval.
  Please contact Author Direct for more information
  regarding CDDB2 support if you have any questions.
- The purchase price has increased to $19.
  CD-ROM shipping and handling has decreased to $9.
  This better reflects current development, third
  party licensing and product shipping costs.

Version 2.9 Release Notes
- Added two-column paper saver reports.
- Returned to Clarion 5 for better stability.

Version 2.82 Release Notes
- Better matching of incoming category during import
  from text.
- Added artist lookup to album wizard.
- Fixed "List Properties"; all list box properties
  may now be changed.
- Improved query wizard.

Version 2.81 Release Notes
- Updated Gracenote CDDB modules.

Version 2.8 Release Notes
- Recompiled in Clarion 5.5.
- Added missing CDDBUI.DLL required for latest
  release of CDDB.
- Discontinued 16-bit version.
- Includes updated Report Designer (registered
  version only).

Version 2.72 Release Notes
- Fixed: Custom Report Wizards allow queries to
  be applied.

Version 2.71 Release Notes
- Report criteria entry window no longer erases
  criteria.

Version 2.7 Release Notes
- Fixed CD Player
- Added fields to track last date album edited.
- Added option to edit album for song currently
  being edited.
- Fixed problem where album list would show as
  blank when it wasn't.
- Import from database now includes notes and
  customer fields.
- Re-arranged playlist report menu.
- Fixed playlist custom report wizard.
- Alt+R Report Menu shortcut fixed.
- Added "most recently used database" sub-menu.

Version 2.61 Release Notes
- Configuration is no longer shared between
  databases in different folders (moved storage
  from \WINDOWS\MFPRO98.INI to .\MFPROCFG.INI).
- Added option to select character set when
  setting custom font for reports.
- Added support for importing from Roxio Easy
  CD Creator "CL5" Audio Project files when
  using the Import Multiple Albums option
  (CTRL+SHIFT+M).
- All lists with "re-sequence" buttons (move track
  or detail up or down in order) now support drag
  and drop re-sequencing.
- CTRL+F / F3 searches are now available on all
  lists.

Version 2.6 Release Notes
- Added unlimited custom detail tab to Album
  and Song records.
- Moved Artist list update to main Lists
  menu.
- Added Artist bio field.
- Fixed erroneous "CD Player Not Ready" error.

Version 2.54 Release Notes
- Added option to access CD in exclusive mode.

Version 2.53 Release Notes
- Fixed:  "Various artist" CDs were not
  imported correctly if old format was used
  on data returned from CDDB.

Version 2.52 Release Notes
- Updated help file.
- Fixed:  Album image would not initially
  display when selected using the lookup
  button.
- If an album time is 0, it will be updated
  with the total time of all songs for the
  album when the Songs tab is selected.
- Added support mapping folders to specific
  Album/File Number combinations when
  scanning for MP3s.  This allows you to
  specify that a folder maps to a particular
  album rather than the default, which is
  based on the drive volume information.

Version 2.51 Release Notes
- Added support for renaming MP3s stored
  on hard drives and removable media such
  as CDs. (Tools->Rename MP3s)
- Added error message warning when the
  CDDB Wizard detects that the current CD
  is already in the database.

Version 2.5 Release Notes
- Added support for cataloging MP3s stored
  on hard drives and removable media such
  as CDs. (Tools->Scan for MP3s)

Version 2.42 Release Notes
- Reformatted "brief" reports for songs
  by album, category, and file number.
  Changed the font used on reports to
  Arial, as some printers simply won't
  print MS Sans Serif.
- Added Ctrl+Shift shortcuts for common
  CDDB functions.
- Pressing Alt+Right when editing a
  song or album entry will save the
  current entry, and bring up the next.
  Alt+Left will save and bring up the
  previous.

Version 2.41 Release Notes
- Added option to all Song reports to
  "Select using Advanced Query".
- File number now defaults to last file
  number entered plus one (when adding
  albums).
- Compilations retrieved from CDDB2 that
  contain directly state song artist
  information are now imported correctly.
- Removed false error given when importing
  albums from external database.

Version 2.4 Release Notes
- Fixed: A bug in CDDBASST.EXE caused the
  Audio Librarian credentials to be used
  for CDDB access rather than MusiFind Pro,
  preventing CD data submission.
- Added option to context (right-click) menu
  on Songs and Albums lists to play the
  associated MP3 or WAV file.


Version 2.32
- Fixed: When changing the artist on an album,
  if the artist did not exists in the artist
  database, it was cleared.
- Fixed: When a category is changed globally,
  all related albums and songs are updated.

Version 2.31
- Changed window resizing strategy to maximize
  portion assigned to lists.
- Added option to cascade changes from album to
  songs in the case of the following fields:
  File Number, Media, Category, and Release Date.
- Fixed problem where users on a LAN could not set
  up proxy information until after registering for
  CDDB, but could not register until after setting
  up proxy information!

Version 2.3
- Added option to select CD drive (letter) to use.
- Added CDDB2 support.
- Added menu options to access CDDB2:
    - Get Disc Info
    - Submit New Disc
    - Submit Update to Disc
    - Get Extended Disc Info
    - Set User Registration Information
    - About CDDB
    - Visit CDDB web site
- Fixed Songs by Category Brief Report - was not
  printing the file number.

Version 2.2
- Upgraded libraries to Clarion 5 ABC base.

Version 2.14
- Fixed cassette label size.

Version 2.13
- Added option to auto-capitalize imported
  information, and option to define
  auto-capitalize as all uppercase or mixed case.
- Better detection of artist information in CDDB
  retrievals when artists are given by CDDB
  as "various" and the title is "title/artist".

Version 2.12
- Added option to create and access
  multiple collections without using
  external shortcuts.
- Added database tool to find songs
  that are unique between two
  collections.

Version 2.11
- Several minor bug fixes.

Version 2.1

* Enlarged default size of Browse Songs
  and Browse Albums windows.
* Category now stored with Album and
  Song records; this makes it easier
  to include the category in custom
  reports.
* Minor improvements in import logic.
* Current date and time may now be
  used on Report Designer reports.
* Added "Songs by File Number" report.
* Fixed erroneous message that prevented
  using CDDB functions in shareware
  version.
* Added options in Tools/Database to
  Create Default Artists Database, Default
  File Numbers, Check Category Integrity,
  and Auto-capitalize.
* Added option to automatically capitalize
  Artist, Title, and Album fields.
* Playlist generation now accessible by
  a button on the Playlist browse (in
  addition to being available on the right-click
  menu).


Version 2.08

* Fixed reports that were not allowing
  the custom font to be selected.


Version 2.07

* Added "auto-complete" option for artist
  field when adding songs.


Version 2.06

* Returned to Clarion 5A due to a conflict
  with the Report Designer.


Version 2.05

* Fixed bug in mass delete function.


Version 2.04

* Restored Query logic.


Version 2.03

* Refined CDDB submission routines.
* Refined import album-assignment logic.
* Removed logic that deleted songs with the
  same file number as an album being deleted.
* Improved backup and restore utilities
  (included in registered version only).


Version 2.02

* Added Query button to Albums window.
* Added "swap" buttons to Album/Song Artist/Title
  fields to make fixing errors in information
  imported from CDDB easier and faster.
* Added option to preview single "Quick CD Covers".
* Quick CD covers now use a smaller font for
  longer Album titles.



Version 2.01

* Internet Edition now includes backup/restore
  option, and Album/Song/Playlist report wizards.
* Added "Associated WAV/MP3 File" field to Songs
  database.
* Enhanced report designer.
* Fixed problem where artist names stored as
  LastName, FirstName and Friend were formatted
  as FirstName and Friend LastName instead of
  FirstName LastName and Friend when printed.


Version 2.0

* CDDB support; CD information can be downloaded
  from the internet (Internet Edition only)
* Report Designer (Internet Edition only)
* Added "Album and Song" windows.
* Added scroll bar to Category drop downs on
  Update Album window, and Add Album Wizard.

Version 1.8i

* Added "Album Wizard".
* Enhanced multi-CD support.


Version 1.8h

* Fixed erroneous "changes not allowed" message.


Version 1.8g

* Various minor fixes.
* Added Albums by Category report.


Version 1.8f

* Added Rating, Mix, In/Out, Type of End, and Skip fields.
* Expanded Album, Title, Artist field sizes to 50 characters.
* Added Track Move Up/Down option to Album edit (Song tab).
* Added Tip of the Day feature.


Version 1.8e

* Recompiled under Clarion version 4.0.
* Added File Manager support (Repair, Pack) to Housekeeping
  section of Preferences.  Note: Repairs require TPSFIX.ZIP,
  available from our web site.
* Fixed erroneous CD Player Not Available error (applies to
  some systems only).


Version 1.8d

* Added Alternate Cassette Label format.


Version 1.8c

* Added option to save last order tab used on Browse Songs and
  Browse Albums, and restore when window reopened.
* Added category field to Update Album form.


Version 1.8b

* Added Setup Wizard for first-time users.
* Move Quick Locators to enhance visibility.
* Add Album from CD Player can now use either the compilation
  or single artist add wizard.


Version 1.8a

* CD Serial number now imports correctly on Add Wizards.
* Reduced system resource usage of CD Player by 20%.


Version 1.8

* Added "Album by Category" and "Album by Category/Artist"
  orders to the "Browse Albums" window.
* Fixed erroneous "Duplicate" error when adding albums
  using the wizards.
* Conflict with Intellimouse drivers in Windows NT solved.


Version 1.7b

* Added option to set interval at which the CD
  Player Status is checked
* Fixed "Read CD Information" misreading of times
  bug.
* Added "Album by File Number" reports.


Version 1.7a

* Added options to Album reports for brief
  formats and record selection.
* Added progress indicator to Read CD Information
  process.
* Added "Songs by BPM" report.
* Added locator bar to CD Player.
* Fixed "Track 1" bug in CD Player.
* Added optional "Explorer"-style interface for
  "Browse Songs" and "Browse Albums".
* Query Wizard on Paper Saver reports now allows
  additional queries to be saved.
* Default queries are now provided.


Version 1.7

* Added optional CD Player for registered users.
* Added CD Binder/Flap Pages report.
* Fixed Add Compilation so that media information is
  retained.
* Added File Number order tab to Browse Albums window.
* Added toolbar to main menu window.
* Added customizable logo to main menu window.


Version 1.6c

* Changed Report Progress windows to "MDI".  This
  allows them to be minimized, and for data input
  to continue while reports are generated.
* Fixed runtime report date formatting.


Version 1.6b

* Fixed erroneous expiry message.
* Added better support for "two-disc" sets.


Version 1.6a

* Fixed repeating note problem in Add... wizards.
* Added "Edit All Songs" buttons to Add... wizards.


Version 1.6

* Increased File Number size
* Added recording/performance information fields.
* Read CD Information now closes connection to Windows
  media status reporter after read.
* Added Album reports.
* Added Paper Saver by Title report.
* Fixed problem where some enhanced CDs returned remaining
  time rather than track lengths.
* Added Notes field to Play Lists.


Version 1.5l

* Added options to Playlists for top 40-style chart
  maintenance and reports.


Version 1.5k

* Added option to add customized media formats.
* Right click pop-up menu on Browse Albums list box now
  includes option to create a label.
* Fixed "Add Single Artist" wizard - was incorrectly
  setting the Album title to "Various".


Version 1.5j

* Minor changes to report formats.
* Added "Year Only" option for release dates.


Version 1.5i

* Wizards now ask for confirmation if cancelled.
* 16-bit help file now works under Win 3.1.
* Test Album Link Integrity is no longer automatically
  run when upgrading from version 1.4 or below.

* If you are upgrading from version 1.4 or below,
  it is recommended that you select File ->
  Preferences -> Housekeeping, and press the Test
  Album Link Integrity button.


Version 1.5h

* Song Category may now be imported/exported.


Version 1.5g

* Fixed problem with loss of information when using
  the Read CD Information button on the Add Single
  Artist and Add Compilation wizards.


Version 1.5f

* Launching of Albums and Songs windows at start up
  is now optional.

Version 1.5e

* Added "Copy" button to "Albums" window.
* Added "VCR" buttons to "Songs", "Albums" and
  "Labels" windows.
* Added "Time" column to "Songs" window browse box.
* Fixed problem where browse box formats were not
  reset when a new default date format was chosen.


Version 1.5d

* Recompiled under Clarion for Windows version 2003.


Version 1.5c

* Changed Compact Disc front cover format to
  print main data on right side of paper rather
  than the left side (easier to insert in
  jewel cases).
* Removed false error message in Add Wizards.
* Saved date format now displays when entering
  preferences window.
* Test Link Integrity now matchs compilations
  with songs.
* Dragging from the "Songs" window no longer
  requires a second mouse click.


Version 1.5b

* Date formats now user-selectable.
* Added "Read Compact Disc Information" button
  to each "Add Wizard".
* Fixed "Report By Album" - wasn't be called
  when "Print" button pressed in "Songs" window.
* Added "Report By User Defined Key Field".
* Reorganized "Preferences" window.


Version 1.5a

* Fixed installation so that MusiFind Pro 97
  would properly start the first time it was used.
* Miscellaneous minor fixes.
* Added option to let user define label for
  "User Defined Key" field.
* Added "User Defined Key" order to "Song" window.


Version 1.5

* Changed size of Artist, Title, and Album fields
  to 40 characters from 30.
* Added "Associated Image" and "Associated WAV File"
  information to album database.
* Compilation and Single Artist wizards now include
  option to add to both the Album and Main databases
  simultaneously.
* Added option to read Compact Discs placed in CD-ROM
  drive directly.  CD serial number and times are
  automatically retrieved.
* Added option to assign selected existing songs
  to new album entries based on "File Number".
* Added "Preview" option to "Update Label" and
  "Label Wizard" windows.
* Added position and justification settings for CD labels.
* Renamed "MusiFind Database" to "Song Database"
* Both the song and album database are displayed on startup.
* Shortened length of time "splash" was displayed.
  (You can still click on it to remove it faster).
* When attaching existing songs to an album, you can now
  drag from the "Songs" window to the Songs tab on the
  "Update Albums" window.
* Added "DJ Log" Report
* Added Playlist creation.  Supports drag and drop
  organization of songs for special projects.
* Updated help file.


Version 1.4a

* Some adjustments to the format of the CD label.
* Added label wizard default "preferences".


Version 1.4

* Added option to enter new information in
  three different ways:  Compilation,
  Single Artist Album, or Normal.
* Added several "wizards".
* Added option to copy entries into the album
  database when adding entries
* Added Compact Disc jewel case label creation.
* Added cassette case label creation.
* Added option to change fonts on reports.
* Changed locator type on main browse from step
  to incremental.
* Various small bug fixes


Version 1.3a

* Added brief reporting option to category report.
* Browse Music Database window now appears
  automatically at start-up.
* Number of entries in database shown on title bar
  of Browse Music Database window.
* Widened "By Artist" standard report.


Version 1.3

* Added album file
* Added brief reporting option
* Added Query Wizard
* Added Import/Export
* Added Chart Number/Track Number fields


Version 1.2

* Added category file and field to music database.
* Added category report.
* Added new media formats including EPs, CD Singles.
* Browse "view" formats are saved (in other words,
  if you change the width of the "Title" column,
  the width will default to that new width next
  time you enter the program).
* Added option to printed only selected artists
  and titles.
* Reformatted reports to use less space.


